Skip to navigation

Attach entries to On-Demand Payroll

Attaches existing eligible entries to an On-Demand Payroll that is awaiting client review before submission.

Token scopes: on-demand-payroll:write

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

odp_idstringRequired

Public ID of the On-Demand Payroll.

Request

Existing entries to attach to the On-Demand Payroll.

dataobjectRequired

Response

The updated On-Demand Payroll.

dataobject

An On-Demand Payroll for a contract.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error